Skip to content

API Reference

Update an existing transaction

PUT /v2/transaction https://api.cable.tech

Authentication

  • Bearer token in the Authorization header transactions:write

Request body

application/json object

Transaction data to update, referenced by ‘tx_id’. The ‘timestamp’ field represents the update time. Only the fields to be updated need to be included.

  • timestamp string required

    When the transaction was processed in your system, in ISO 8601 format. For updates, use when the event occurred, not when you’re reporting it.

    Format date-time

  • tx_id string required

    Unique identifier for the transaction. This is the primary key for the transaction record and should be unique across all transactions. Updates to a transaction should be made using this identifier.

  • is_test boolean

    Set to true if this is a test transaction

    Default false

  • type string

    Transaction type. Required when creating new transactions, optional for updates.

    Allowed values DEPOSITWITHDRAWAL

  • method string

    Payment method used for the transaction. Required when creating new transactions, optional for updates. Each method may have different processing times, fees, and regulatory requirements.

    Allowed values WIREACHSWIFTSEPAAPPLE_PAYGOOGLE_PAYCHECK_DEPOSITINTERNAL_TRANSFERRTPFEDNOWPROV_X_TRANSFERCARD

  • amount number | null

    Transaction amount. Negative amounts are allowed for refunds, chargebacks, and credits. Zero amounts are allowed for auth-only, declined, and pre-authorization transactions. Required when creating new transactions, optional for updates.

    Format float

  • currency string

    ISO 4217 currency code. Required when creating new transactions, optional for updates.

    Format iso-4217

  • amount_usd number

    Amount in USD, if not provided will be calculated using the latest exchange rate using data from Open Exchange Rates (https://openexchangerates.org)

    Format float

  • sender_id string | null

    Identifier of the sender (e.g., account number, customer ID). This ID should match the identifier used in your customer data sent to Cable. Required if receiver_id is not provided.

  • sender_country string

    ISO 3166-1 alpha-2 country code of the sender. Required when sender_id is provided.

    Format iso-3166-1

  • receiver_id string | null

    Identifier of the receiver (e.g., account number, customer ID). Required if sender_id is not provided.

  • receiver_country string

    ISO 3166-1 alpha-2 country code of the receiver. Required when receiver_id is provided.

    Format iso-3166-1

  • status string

    Transaction status. Required when creating new transactions, optional for updates.

    Allowed values CREATEDPENDINGSETTLEDFAILEDREJECTEDREFUNDED

Responses

200 Transaction updated successfully

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid transaction data
  • 401 Unauthorized request
  • 404 Transaction not found
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string